summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2020-08-08 22:42:27 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2020-08-09 10:31:48 +0200
commitd6333a0e6ef3249e6233f4f61cdece6ca3427003 (patch)
treebc0aed4f70a43bd36c2ae69e08261f81cada20e3
parentmedia-gfx/kphotoalbum: 5.7.0 version bump (diff)
downloadgentoo-d6333a0e6ef3249e6233f4f61cdece6ca3427003.tar.gz
gentoo-d6333a0e6ef3249e6233f4f61cdece6ca3427003.tar.bz2
gentoo-d6333a0e6ef3249e6233f4f61cdece6ca3427003.zip
kde-misc/tellico: 3.3.2 version bump
Package-Manager: Portage-3.0.1, Repoman-2.3.23 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
-rw-r--r--kde-misc/tellico/Manifest1
-rw-r--r--kde-misc/tellico/tellico-3.3.2.ebuild89
2 files changed, 90 insertions, 0 deletions
diff --git a/kde-misc/tellico/Manifest b/kde-misc/tellico/Manifest
index ab25d42bfec..5d53f16c13f 100644
--- a/kde-misc/tellico/Manifest
+++ b/kde-misc/tellico/Manifest
@@ -1 +1,2 @@
DIST tellico-3.3.1.tar.xz 5619068 BLAKE2B 5b70f42102c2dbb349f343146edb30e94d73b891f7b95fcba87cc19ea6228a62273f9f0321c32037a62cb2cffa2ec61108db519b3387968d2a0ebd1ca332bfd7 SHA512 12d49aba8c99cd16e426ac0144fa7343c5b1348a8c9a0892f30ff274f0e98f9ad7819c03c4ecdd0dc2f826377468ebdab1996828e992fcd293c7ffe4f844ab74
+DIST tellico-3.3.2.tar.xz 5623808 BLAKE2B 2c709a40799f53d8431cc4eeab5d33242e9f967fa9af02c05675730fdb9b249b05c7af17ab8269fec0b53e3d4ad6144213f060aa4b2c32e27bca93bd905d7828 SHA512 4e304553e58ea3cfcc8aabdbe86ea2b1b52edb6d4f690d0f9e5c5c6de152dac25889a7beea3394eac711ef2195efe1bf1f3fd48bf57aece923ed47b975d664d8
diff --git a/kde-misc/tellico/tellico-3.3.2.ebuild b/kde-misc/tellico/tellico-3.3.2.ebuild
new file mode 100644
index 00000000000..f39a4200a14
--- /dev/null
+++ b/kde-misc/tellico/tellico-3.3.2.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+ECM_HANDBOOK="forceoptional"
+ECM_TEST="forceoptional"
+VIRTUALX_REQUIRED="test"
+inherit ecm kde.org
+
+DESCRIPTION="Collection manager based on KDE Frameworks"
+HOMEPAGE="https://tellico-project.org/"
+
+if [[ ${KDE_BUILD_TYPE} != live ]]; then
+ SRC_URI="https://tellico-project.org/files/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="|| ( GPL-2 GPL-3 )"
+SLOT="5"
+IUSE="cddb discid pdf scanner semantic-desktop taglib v4l xmp yaz"
+
+BDEPEND="
+ sys-devel/gettext
+"
+RDEPEND="
+ dev-libs/libxml2
+ dev-libs/libxslt
+ >=dev-perl/Text-BibTeX-0.780.0-r1
+ dev-qt/qtdbus:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ kde-frameworks/karchive:5
+ kde-frameworks/kcodecs:5
+ kde-frameworks/kcompletion:5
+ kde-frameworks/kconfig:5
+ kde-frameworks/kconfigwidgets:5
+ kde-frameworks/kcoreaddons:5
+ kde-frameworks/kcrash:5
+ kde-frameworks/kguiaddons:5
+ kde-frameworks/khtml:5
+ kde-frameworks/kiconthemes:5
+ kde-frameworks/kitemmodels:5
+ kde-frameworks/ki18n:5
+ kde-frameworks/kjobwidgets:5
+ kde-frameworks/kio:5
+ kde-frameworks/knewstuff:5
+ kde-frameworks/kparts:5
+ kde-frameworks/kservice:5
+ kde-frameworks/ktextwidgets:5
+ kde-frameworks/kwallet:5
+ kde-frameworks/kwidgetsaddons:5
+ kde-frameworks/kwindowsystem:5
+ kde-frameworks/kxmlgui:5
+ kde-frameworks/solid:5
+ kde-frameworks/sonnet:5
+ cddb? ( kde-apps/libkcddb:5 )
+ discid? ( dev-libs/libcdio:= )
+ pdf? ( app-text/poppler[qt5] )
+ scanner? ( kde-apps/libksane:5 )
+ semantic-desktop? ( kde-frameworks/kfilemetadata:5 )
+ taglib? ( >=media-libs/taglib-1.5 )
+ v4l? ( >=media-libs/libv4l-0.8.3 )
+ xmp? ( >=media-libs/exempi-2 )
+ yaz? ( >=dev-libs/yaz-2:0 )
+"
+DEPEND="${RDEPEND}"
+
+# tests need network access
+RESTRICT+=" test"
+
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_DISABLE_FIND_PACKAGE_Csv=ON
+ $(cmake_use_find_package cddb KF5Cddb)
+ $(cmake_use_find_package discid CDIO)
+ $(cmake_use_find_package pdf Poppler)
+ $(cmake_use_find_package scanner KF5Sane)
+ $(cmake_use_find_package semantic-desktop KF5FileMetaData)
+ $(cmake_use_find_package taglib Taglib)
+ -DENABLE_WEBCAM=$(usex v4l)
+ $(cmake_use_find_package xmp Exempi)
+ $(cmake_use_find_package yaz Yaz)
+ )
+
+ ecm_src_configure
+}